# Poco

# class Base32EncoderIOS

Library: Foundation
Package: Streams
Header: Poco/Base32Encoder.h

## Description

The base class for Base32Encoder.

This class is needed to ensure the correct initialization order of the stream buffer and base classes.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: Base32Encoder

## Member Summary

Member Functions: close, rdbuf

## Constructors

### Base32EncoderIOS

Base32EncoderIOS(
std::ostream & ostr,
bool padding = true
);

## Destructor

### ~Base32EncoderIOS

~Base32EncoderIOS();

## Member Functions

### close

int close();

### rdbuf

Base32EncoderBuf * rdbuf();

## Variables

### _buf

Base32EncoderBuf _buf;